/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

/* Core */

html {
    scroll-padding-top: 140px;
    scroll-behavior: smooth;
}

body, html {
	overflow-x: hidden;
}

p:first-child {
	margin-top: 0px;
}

p:last-child {
	margin-bottom: 0px;
}

a {
	color: inherit;
}

.elementor-widget-text-editor a:hover {
	color: inherit;
	opacity: 0.8;
}

.elementor-widget-text-editor ul, .elementor-widget-text-editor ol {
	margin-bottom: 15px;
}

.elementor-widget-heading a:hover {
	color: inherit;
	opacity: 0.8;
}

.elementor-menu-toggle {
    padding:0px;
	z-index: 9999;
	margin-right: -5px!important;
}

ul.elementor-nav-menu--dropdown a, ul.elementor-nav-menu--dropdown a:focus, ul.elementor-nav-menu--dropdown a:hover {
	border-left: none!important;
}

.e--pointer-underline .elementor-item:after {
	z-index: -1 ;
}

.elementor-icon {
	display: inline;
}

.elementor-shape-circle .elementor-icon {
	display: grid;
}

.elementor-button-content-wrapper {
	gap: 10px;
}

h1, h2, h3, h4, h5, h6 {
    line-height: inherit;
    margin-block-end: inherit;
    margin-block-start: inherit;
}

.elementor-widget-theme-post-content {
	
	strong, b {
		font-weight: bold;
	}
	
	h1, h2, h3, h4, h5, h6 {
		margin-block-end: 32px;
		font-size: var(--e-global-typography-47ff8bc-font-size);
		font-weight: var(--e-global-typography-47ff8bc-font-weight);
		line-height: var(--e-global-typography-47ff8bc-line-height);
		}
	
	.elementor-heading-title {
		margin-block-end: 0px;
	}
	
	ul {
 	   margin-block-end: .9rem;
	}
}

.elementor-widget-theme-post-content p a {
	text-decoration: underline;
	font-weight: bold;
}

@media screen and (min-width: 1024px) {
	.desktop-hide {
		display: none!important;
	}
}

@media screen and (max-width: 479px) {

	.main-menu .e-n-menu-wrapper {
		padding: 32px 30px;
		background: var(--e-global-color-accent)!important;
	}

}

@media screen and (max-width: 600px) {
	
	.elementor-widget-theme-post-content table {
		max-width: 100% !important;
		width: 100% !important;
	}
	
}

/* Paddings */

.e-parent {
	--padding-top: 60px;
	--padding-left: 30px;
	--padding-right: 30px;
	--padding-bottom: 60px;
}

.half-top-padding {
	--padding-top: 30px;
}

.half-bottom-padding {
	--padding-bottom: 00px;
}

.no-top-padding {
	--padding-top: 0px;
}

.no-bottom-padding {
	--padding-bottom: 0px;
}

/* Others */

.grecaptcha-badge {
	visibility: hidden;
}


@media screen and (max-width: 960px) {
	.e-parent {
		--padding-top: 30px;
		--padding-left: 30px;
		--padding-right: 30px;
		--padding-bottom: 30px;
	}

	.half-top-padding {
		--padding-top: 20px;
	}

	.half-bottom-padding {
		--padding-bottom: 20px;
	}
	
	.no-top-padding {
		--padding-top: 0px;
	}

	.no-bottom-padding {
		--padding-bottom: 0px;
	}
	
}

@media screen and (max-width: 479px) {
	.e-parent {
		--padding-top: 30px;
		--padding-left: 30px;
		--padding-right: 30px;
		--padding-bottom: 30px;
	}
	.half-top-padding {
		--padding-top: 20px;
	}

	.half-bottom-padding {
		--padding-bottom: 20px;
	}
	
	.no-top-padding {
		--padding-top: 0px;
	}

	.no-bottom-padding {
		--padding-bottom: 0px;
	}

}